Plot HomeDocumentation
Teams

Search Teams

Searches teams by name using full-text search

GET
/v1/teams/search

Searches teams by name using full-text search

Query Parameters

name?string

Search by team name

matchMode?string

Match mode: "all" (AND) or "any" (OR)

Default"all"
Value in"all" | "any"
includeArchived?string

Include archived teams

Value in"true" | "false"
expand?|||array<>

Expansion fields: "all" (full enrichment, default), "none" (IDs only), or comma-separated/repeated fields (members,taskStatuses,taskLabels)

Default"all"
cursor?string

Cursor for pagination

limit?integer

Number of results to return (max 100)

Default50
Range1 <= value <= 100

Response Body

application/json

curl -X GET "https://example.com/v1/teams/search"
{  "data": [    {      "id": "string",      "name": "string",      "publicId": "str",      "icon": "string",      "color": "string",      "privacy": "workspace",      "archivedAt": "2019-08-24T14:15:22Z",      "members": [        {          "id": "string",          "role": "string",          "username": "string",          "email": "user@example.com",          "lastAccessedAt": "string",          "createdAt": "string"        }      ],      "taskStatuses": [        {          "id": "string",          "name": "string",          "stage": "string",          "color": "string"        }      ],      "taskLabels": [        {          "id": "string",          "color": "icon-secondary",          "name": "string"        }      ]    }  ],  "nextCursor": "string",  "hasMore": true,  "total": 0}